Issue 121793

Summary: [sidebar]: migrate page property panel (W)
Product: General Reporter: jsc
Component: uiAssignee: Oliver-Rainer Wittmann <orw>
Status: RESOLVED FIXED QA Contact:
Severity: Normal    
Priority: P3 CC: issues, orw
Version: 4.0.0-dev   
Target Milestone: 4.0.0   
Hardware: All   
OS: All   
Issue Type: FEATURE Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 121420    

Description jsc 2013-02-19 09:39:10 UTC
migrate page property panel (W,C,I) 

sw/source/ui/propertypanel/pagepropertypage.cxx 

See also 
http://wiki.openoffice.org/wiki/Sidebar#Decks_and_content_panels
Comment 1 Oliver-Rainer Wittmann 2013-02-27 10:53:40 UTC
I am planning to work on this task.
Comment 2 SVN Robot 2013-03-14 20:02:04 UTC
"orw" committed SVN revision 1456629 into branches/sidebar:
#121793# - new sidebar panel for page style's properties in Writer
Comment 3 Oliver-Rainer Wittmann 2013-03-14 20:17:15 UTC
property panel for page style's attributes has been migrated.

the issue is not completely solved as the following issues are open:
(A) adjust behavior, if user choose "Last Custom Value" in the margin popup in case that no custom values are available.
(B) page margin values are applied to other objects, if cursor is located inside these objects. these objects are page header, page footer, section and text frame
(C) no contexts for this panel has been defined
(D) no reaction on context switches
Comment 4 SVN Robot 2013-03-18 11:52:05 UTC
"orw" committed SVN revision 1457720 into branches/sidebar:
#121793# - correction: do not delete controls while is use
Comment 5 SVN Robot 2013-03-18 12:26:34 UTC
"orw" committed SVN revision 1457732 into branches/sidebar:
#121793# - correction: no reaction on user choosing "Last Custom Values", if ...
Comment 6 Oliver-Rainer Wittmann 2013-03-18 12:30:44 UTC
issue (A) from comment 3 solved by revision 1457732
Comment 7 SVN Robot 2013-03-18 13:01:48 UTC
"orw" committed SVN revision 1457743 into branches/sidebar:
#121793# - correction: no SID_ATTR_PAGE invalidation during SID_ATTR_PAGE_SIZ...
Comment 8 SVN Robot 2013-03-19 15:50:04 UTC
"orw" committed SVN revision 1458352 into branches/sidebar:
#121793# - introduce new slots for page style's margin values for correct beh...
Comment 9 Oliver-Rainer Wittmann 2013-03-19 16:11:17 UTC
ad issue (C) from comment 3:
- solved; contexts had been defined in general - revision 1457873

ad issue (D) from comment 3:
- solved, as nothing has to be done here
Comment 10 Oliver-Rainer Wittmann 2013-03-19 16:27:46 UTC
issue (B) from comment 3 solved by revision 1458352
Comment 11 Oliver-Rainer Wittmann 2013-03-19 16:43:17 UTC
implementation done on branch sidebar - verification pending
Comment 12 SVN Robot 2013-03-19 16:45:40 UTC
"orw" committed SVN revision 1458395 into branches/sidebar:
#121793# - class <sw::sidebar::PagePropertyPanel> - some clean-up of not need...
Comment 13 SVN Robot 2013-03-27 14:01:20 UTC
"orw" committed SVN revision 1461200 into branches/sidebar:
#121793# correct license header and further clean-up
Comment 14 SVN Robot 2013-04-23 15:02:17 UTC
"orw" committed SVN revision 1470990 into trunk:
121793: correction for page property panel: